Skip to content

View a report template

Request:

GET /api/v2/reports/<report-id>.json

The response is the complete report template object.

Example of response:

{
    "report": {
        "report_id": "4992166a-d24b-435c-bb3f-d1dd7a083eb8",
        "report_type": "call_summary",
        "name": "Calls Summary Report - Back Office",
        "description": null,
        "tenant_id": null,
        "owner_user_id": null,
        "period": "last_30d",
        "period_begin": null,
        "period_end": null,
        "timezone": "America/Los_Angeles",
        "build_timeout": null,
        "keep_history_days": 30,
        "use_cache": true,
        "user_can_change_filters": true,
        "row_limit": null,
        "filters": [],
        "created_at": "2024-04-07T14:49:05.928302-07:00",
        "modified_time": "2024-07-17T10:48:01.028081-07:00",
        "page_size": "letter",
        "landscape_orientation": false,
        "email_report": false,
        "email_report_settings": {
            "send_to_emails": [],
            "attachment_formats": ["PDF"]
        },
        "summary_settings": [
            {"name": "count_calls", "header": "Calls - Total"},
            {"name": "minutes_total", "header": "Minutes - Total"}
        ],
        "chart_settings": {
            "chart_style": "bar",
            "dimensions": [{"name": "group", "header": "Group"}],
            "metrics": [
                {"name": "count_calls", "header": "Calls - Total"},
                {"name": "minutes_total", "header": "Minutes - Total"}
            ]
        },
        "column_settings": [
            {"name": "group", "header": "Group", "text_align": "left"},
            {"name": "count_calls", "header": "Calls - Total", "text_align": "right"},
            {"name": "minutes_total", "header": "Minutes - Total", "text_align": "right"}
        ],
        "sort_settings": [
            {"name": "group", "header": "Group", "sort": "ASC"}
        ],
        "format_settings": [],
        "options": {},
        "scheduler_type": null,
        "scheduler_minute": null,
        "scheduler_hour": null,
        "scheduler_day_of_month": null,
        "scheduler_month_of_year": null,
        "scheduler_day_of_week": null
    }
}

To retrieve the data of the report, see Report runs.

Response contains HTTP status code as shown in the following table.

Response Description
200 OK The report template is returned in the response body
403 Forbidden The request cannot be completed because API user has no permission to view reports
404 Not Found Report template with such ID does not exist, or it is outside the access scope of the API user